Page MenuHomePhabricator

Request IP address quota of 1 for instance 'gratitude'
Closed, DeclinedPublic

Description

Hello Cloud VPS admins,

I have been using gratitude.wmflabs.org for several months now and it works great, thanks so much!

I am now also starting a new project, from the same VPS, which is going to run an A/B test on French Wikipedia. The community has requested amount of uptime, so I want to run a "heartbeat" service from another server, that will be able to ping "gratitude.wmflabs.org" (or a static IP) to make sure it's running. Could I request a publicly reachable IP address please so that I can implement this heartbeat system?

Thanks,
@notconfusing

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2019, 7:17 PM
Krenair added a subscriber: Krenair.Nov 1 2019, 7:22 PM

I'm a little concerned by the idea of running a system within cloud VPS
where the uptime is considered very important.

Also, why would it need to be a dedicated external IP address, what's wrong
with the proxy in this case?

bd808 added a subscriber: bd808.Nov 1 2019, 8:04 PM

I have been using gratitude.wmflabs.org for several months now and it works great, thanks so much!

I assume this actually means the 'gratitude' Cloud VPS project: https://tools.wmflabs.org/openstack-browser/project/gratitude

I want to run a "heartbeat" service from another server, that will be able to ping "gratitude.wmflabs.org" (or a static IP) to make sure it's running

I would like to avoid XY problems in this discussion, so could you please provide a bit more detail about what service you actually hope to monitor and why? A ping monitor would only confirm ICMP (or possibly UDP or TCP) reach-ability of the host which seems unlikely to actually be what you would want to measure.

Hi @bd808 . Fair enough point about the XY problem. The "Y" in this case is that I would like to know if the gratsync.gratitude.eqiad.wmflabs Cloud VPS instance goes down for a period of time (or for any reason is unable to execute it's crontab, which is being used as the job scheduler).

Thanks for you response.

bd808 added a comment.Nov 4 2019, 6:40 PM

The "Y" in this case is that I would like to know if the gratsync.gratitude.eqiad.wmflabs Cloud VPS instance goes down for a period of time (or for any reason is unable to execute it's crontab, which is being used as the job scheduler).

For monitoring instance availability, I think a better method than a public IP would be to add the gratitude project to the configuration for the shinken project. Shinken could then notify you via irc or email when instances are down.

It sounds like what you really want to monitor however is the last run time of one or more cron jobs inside the instance. One way to do that would be to have the cron tasks which are to be monitored write some "last run" status data locally and then expose that data external to the instance over http. Then some monitor of that would need to be created somewhere (inside of outside of Cloud VPS) which polled the http endpoint(s) and compared the last run time to current world time and alerted if outside of some configured tolerance. This again can be done without a public IP by setting up a web proxy that used the instance's http monitoring endpoint as its backend.

Hi @bd808 thanks for the response. We've considered your responses in a) using shinken, and b) writing "last run status". We feel it would be easier to go the route of setting up shinken to monitor the gratitude VPS. How can we go about getting shinken accounts?

Thanks for your thoughtful response.

bd808 added a comment.Nov 7 2019, 8:44 PM

Hi @bd808 thanks for the response. We've considered your responses in a) using shinken, and b) writing "last run status". We feel it would be easier to go the route of setting up shinken to monitor the gratitude VPS. How can we go about getting shinken accounts?

The best thing to do I think it create a new ticket to track that request. Tag it with Cloud-VPS and add me as a subscriber and I will figure out how to get it into the backlog for cloud-services-team or find someone else to help with implementation.

Thanks for your thoughtful response.

You are welcome. And thank you for helping us better understand your goals!

bd808 closed this task as Declined.Nov 7 2019, 8:45 PM

Per T237132#5637925, we will work with @Maximilianklein to achieve monitoring goals in a slightly different way than via a public IP for the instance.